% ----------------------
% reforms.m
% ----------------------
% loads reforms
% ----------------------

% Aging scenario
phasein         = 30;
NB_reduction    = 0.2;
extrayears      = 5;

oldaveage       = gam0/(1-gam0);
gamnew          = (oldaveage+extrayears)/(oldaveage+extrayears+1);

if phasein >= tend;
    error('The phase-in period has to be smaller than the length of the transition path');
    % in fact it has to be much smaller in order to allow a full transition
    % to the new steady state
end

NB(2:phasein)           = NB0*(1-(0:1/(phasein-2):1)*NB_reduction);
NB((phasein+1):tend)    = NB0*(1-NB_reduction)*ones(1,tend-phasein);
    
gam(2:phasein)          = gam0*(1:-1/(phasein-2):0)+gamnew*(1-(1:-1/(phasein-2):0));
gam((phasein+1):tend)   = gamnew*ones(1,tend-phasein);

%K(t)    = 0.8*K0;

%theta = 1.01*theta;

